export declare const LogLevels: {
    debug: number;
    info: number;
    warn: number;
    error: number;
};
export declare type LogLevels = keyof (typeof LogLevels);
export interface ILogInfo {
    level: LogLevels;
    message: string;
    levelNum: number;
    args: any[];
    filter: number;
}
export interface ILoggerProps {
    onLog?(info: ILogInfo): void;
    hideConsole?: boolean;
    level?: string;
    format?(level: string, color: (v: string) => string, args: any[]): string;
    levelColor?: {
        [k in LogLevels]: (v: string) => string;
    };
}
export declare class Logger {
    static readonly defaultProps: ILoggerProps;
    constructor(_props?: ILoggerProps);
    debug: (...args: any[]) => void;
    info: (...args: any[]) => void;
    log: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    error: (...args: any[]) => void;
}
export declare const logger: Logger;
